Create a release tag
POST/api/v1/workspaces/{workspace_slug}/releases/tags/
Creates a new release tag in a workspace. version must be unique per workspace; if project is set, it must be unique per project. Duplicate versions return a 400 with code RELEASE_TAG_VERSION_ALREADY_EXISTS.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Body Parameters
version:requiredstringVersion string for the release tag, for example 2.4.0.
description:optionalstringPlain text description of the release tag.
commit_hash:optionalstringCommit hash the release tag points to.
git_tag:optionalstringName of the corresponding git tag, for example v2.4.0.
project:optionalstringID of the project to scope this release tag to. When omitted, the release tag is workspace-wide.
Scopes
releases.tags:write
Create a release tag
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"version": "2.4.0",
"description": "Spring release tag",
"commit_hash": "9fceb02d0ae598e95dc970b74767f19372d61af8",
"git_tag": "v2.4.0"
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/",
headers={"X-API-Key": "your-api-key"},
json={
'version': '2.4.0',
'description': 'Spring release tag',
'commit_hash': '9fceb02d0ae598e95dc970b74767f19372d61af8',
'git_tag': 'v2.4.0'
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/", {
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
version: "2.4.0",
description: "Spring release tag",
commit_hash: "9fceb02d0ae598e95dc970b74767f19372d61af8",
git_tag: "v2.4.0",
}),
});
const data = await response.json();Response201
json
{
"id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
"created_at": "2025-03-01T10:00:00.000000Z",
"updated_at": "2025-03-01T10:00:00.000000Z",
"deleted_at": null,
"version": "2.4.0",
"description": "Spring release tag",
"commit_hash": "9fceb02d0ae598e95dc970b74767f19372d61af8",
"git_tag": "v2.4.0",
"created_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
"updated_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project": null
}
